renderingOptions:
  submitButtonLabel: Submit
type: Form
identifier: messe
label: Messe
prototypeName: standard
finishers:
  - options:
      messeId: 'Trade fair invitation_WindEnergy_09_2022'
    identifier: SalesforceApi
  - options:
      pageUid: '2734'
      additionalParameters: ''
    identifier: Redirect
renderables:
  - type: Page
    identifier: page-1
    label: ''
    renderables:
      - type: GridRow
        identifier: gridrow-1
        label: 'Grid: Row'
        renderables:
          - properties:
              options:
                Mr: Hr.
                Mrs: Fr.
              elementSalesforceKey: salutation
              prependOptionLabel: 'Anrede'
            type: SingleSelect
            identifier: singleselect-1
            label: Anrede
      - type: GridRow
        identifier: gridrow-2
        label: 'Grid: Row'
        renderables:
          - defaultValue: ''
            type: Text
            identifier: text-1
            label: Vorname
            properties:
              fluidAdditionalAttributes:
                placeholder: 'Vorname'
              elementSalesforceKey: firstName
            validators:
              - identifier: NotEmpty
          - defaultValue: ''
            type: Text
            identifier: text-2
            label: Nachname
            properties:
              fluidAdditionalAttributes:
                placeholder: 'Nachname'
              elementSalesforceKey: lastName
            validators:
              - identifier: NotEmpty
      - type: GridRow
        identifier: gridrow-3
        label: 'Grid: Row'
        renderables:
          - defaultValue: ''
            type: Text
            identifier: text-3
            label: E-Mail
            properties:
              fluidAdditionalAttributes:
                placeholder: 'E-Mail'
              elementSalesforceKey: email
            validators:
              - identifier: NotEmpty
              - identifier: EmailAddress
          - defaultValue: ''
            type: Text
            identifier: text-4
            label: Firma
            properties:
              fluidAdditionalAttributes:
                placeholder: 'Firma'
              elementSalesforceKey: company
            validators:
              - identifier: NotEmpty
      - type: GridRow
        identifier: gridrow-4
        label: 'Grid: Row'
        renderables:
          - properties:
              elementSalesforceKey: country
              prependOptionLabel: 'Land'
              valueField: uid
              labelField: 'cn_short_{currentLanguage}'
            type: SingleSelectWithCountries
            identifier: singleselectwithcountries-1
            label: Land
            validators:
              - identifier: NotEmpty
      - type: GridRow
        identifier: gridrow-5
        label: 'Grid: Row'
        renderables:
          - type: Checkbox
            identifier: checkbox-1
            label: 'Mit Klick auf den Download-Button willige ich ein, dass HAWE Hydraulik meine angegebenen Daten auch für die Kommunikation seines Angebotes per E-Mail oder Telefon verwendet. Zu diesem Zweck werden diese Daten in eigener Verantwortung verarbeitet. Ich habe das Recht diese Einwilligung jederzeit mit Wirkung für die Zukunft zu widerrufen. Weitere Informationen finden Sie in unserer Datenschutzerklärung.'
            properties:
              gridColumnClassAutoConfiguration:
                viewPorts:
                  lg:
                    numbersOfColumnsToUse: ''
              elementSalesforceKey: privacyWebinar
            validators:
              - identifier: NotEmpty
